
/**********************************************************
 *
 *  This header files companies application note EE-262.
 *
 *  It translates some register names that have been
 *  changed between ADSP-BF533 to ADSP-BF537 devices.
 *
 *  (c) ANALOG DEVICES 2005.
 *
 *********************************************************/


#ifndef _INC_DEF537FOR533_H
#define _INC_DEF537FOR533_H


#define pUART_THR ((volatile unsigned short *)UART_THR)
#define pUART_RBR ((volatile unsigned short *)UART_RBR)
#define pUART_DLL ((volatile unsigned short *)UART_DLL)
#define pUART_IER ((volatile unsigned short *)UART_IER)
#define pUART_DLH ((volatile unsigned short *)UART_DLH)
#define pUART_IIR ((volatile unsigned short *)UART_IIR)
#define pUART_LCR ((volatile unsigned short *)UART_LCR)
#define pUART_MCR ((volatile unsigned short *)UART_MCR)
#define pUART_LSR ((volatile unsigned short *)UART_LSR)
#define pUART_SCR ((volatile unsigned short *)UART_SCR)
#define pUART_GCTL ((volatile unsigned short *)UART_GCTL)


#if defined(SUBST_UART0)

#define UART_THR UART0_THR
#define UART_RBR UART0_RBR
#define UART_DLL UART0_DLL
#define UART_IER UART0_IER
#define UART_DLH UART0_DLH
#define UART_IIR UART0_IIR
#define UART_LCR UART0_LCR
#define UART_MCR UART0_MCR
#define UART_LSR UART0_LSR
#define UART_SCR UART0_SCR
#define UART_GCTL UART0_GCTL

#elif defined(SUBST_UART1)

#define UART_THR UART1_THR
#define UART_RBR UART1_RBR
#define UART_DLL UART1_DLL
#define UART_IER UART1_IER
#define UART_DLH UART1_DLH
#define UART_IIR UART1_IIR
#define UART_LCR UART1_LCR
#define UART_MCR UART1_MCR
#define UART_LSR UART1_LSR
#define UART_SCR UART1_SCR
#define UART_GCTL UART1_GCTL

#endif


#define pFIO_DIR ((volatile unsigned short *)FIO_DIR)
#define pFIO_FLAG_C ((volatile unsigned short *)FIO_FLAG_C)
#define pFIO_FLAG_S ((volatile unsigned short *)FIO_FLAG_S)
#define pFIO_MASKA_C ((volatile unsigned short *)FIO_MASKA_C)
#define pFIO_MASKA_S ((volatile unsigned short *)FIO_MASKA_S)
#define pFIO_MASKB_C ((volatile unsigned short *)FIO_MASKB_C)
#define pFIO_MASKB_S ((volatile unsigned short *)FIO_MASKB_S)
#define pFIO_POLAR ((volatile unsigned short *)FIO_POLAR)
#define pFIO_EDGE ((volatile unsigned short *)FIO_EDGE)
#define pFIO_BOTH ((volatile unsigned short *)FIO_BOTH)
#define pFIO_INEN ((volatile unsigned short *)FIO_INEN)
#define pFIO_FLAG_D ((volatile unsigned short *)FIO_FLAG_D)
#define pFIO_FLAG_T ((volatile unsigned short *)FIO_FLAG_T)
#define pFIO_MASKA_D ((volatile unsigned short *)FIO_MASKA_D)
#define pFIO_MASKA_T ((volatile unsigned short *)FIO_MASKA_T)
#define pFIO_MASKB_D ((volatile unsigned short *)FIO_MASKB_D)
#define pFIO_MASKB_T ((volatile unsigned short *)FIO_MASKB_T)



#if defined(SUBST_PORTFIO)

#define FIO_FLAG_D  PORTFIO
#define FIO_FLAG_C  PORTFIO_CLEAR
#define FIO_FLAG_S  PORTFIO_SET
#define FIO_FLAG_T  PORTFIO_TOGGLE
#define FIO_MASKA_D PORTFIO_MASKA
#define FIO_MASKA_C PORTFIO_MASKA_CLEAR
#define FIO_MASKA_S PORTFIO_MASKA_SET
#define FIO_MASKA_T PORTFIO_MASKA_TOGGLE
#define FIO_MASKB_D PORTFIO_MASKB
#define FIO_MASKB_C PORTFIO_MASKB_CLEAR
#define FIO_MASKB_S PORTFIO_MASKB_SET
#define FIO_MASKB_T PORTFIO_MASKB_TOGGLE
#define FIO_DIR     PORTFIO_DIR
#define FIO_POLAR   PORTFIO_POLAR
#define FIO_EDGE    PORTFIO_EDGE
#define FIO_BOTH    PORTFIO_BOTH
#define FIO_INEN    PORTFIO_INEN

#elif defined(SUBST_PORTGIO)

#define FIO_FLAG_D  PORTGIO
#define FIO_FLAG_C  PORTGIO_CLEAR
#define FIO_FLAG_S  PORTGIO_SET
#define FIO_FLAG_T  PORTGIO_TOGGLE
#define FIO_MASKA_D PORTGIO_MASKA
#define FIO_MASKA_C PORTGIO_MASKA_CLEAR
#define FIO_MASKA_S PORTGIO_MASKA_SET
#define FIO_MASKA_T PORTGIO_MASKA_TOGGLE
#define FIO_MASKB_D PORTGIO_MASKB
#define FIO_MASKB_C PORTGIO_MASKB_CLEAR
#define FIO_MASKB_S PORTGIO_MASKB_SET
#define FIO_MASKB_T PORTGIO_MASKB_TOGGLE
#define FIO_DIR     PORTGIO_DIR
#define FIO_POLAR   PORTGIO_POLAR
#define FIO_EDGE    PORTGIO_EDGE
#define FIO_BOTH    PORTGIO_BOTH
#define FIO_INEN    PORTGIO_INEN

#elif defined(SUBST_PORTHIO)

#define FIO_FLAG_D  PORTHIO
#define FIO_FLAG_C  PORTHIO_CLEAR
#define FIO_FLAG_S  PORTHIO_SET
#define FIO_FLAG_T  PORTHIO_TOGGLE
#define FIO_MASKA_D PORTHIO_MASKA
#define FIO_MASKA_C PORTHIO_MASKA_CLEAR
#define FIO_MASKA_S PORTHIO_MASKA_SET
#define FIO_MASKA_T PORTHIO_MASKA_TOGGLE
#define FIO_MASKB_D PORTHIO_MASKB
#define FIO_MASKB_C PORTHIO_MASKB_CLEAR
#define FIO_MASKB_S PORTHIO_MASKB_SET
#define FIO_MASKB_T PORTHIO_MASKB_TOGGLE
#define FIO_DIR     PORTHIO_DIR
#define FIO_POLAR   PORTHIO_POLAR
#define FIO_EDGE    PORTHIO_EDGE
#define FIO_BOTH    PORTHIO_BOTH
#define FIO_INEN    PORTHIO_INEN

#endif










#endif